URL structure
{itemId} is the ID of a Secure Object or collection.
Supported methods and overview
GET- used to retrieve a list of information about the ancestral collections of a specified Secure Object or collection (i.e. item), based on the item’s ID.
This method takes no parameters.
Detailed description
This API endpoint retrieves a list of information about the ancestral collections of a specified Secure Object or collection, using this item’s ID. The item’s ID can be obtained by calling the <access-service>/api/v1/items API endpoint, which retrieves a list of information associated with Secure Objects and collections that can be filtered using various ‘search’ criteria. The collections are ordered in the list (returned in the response) from the root location (whose ID is0) first, through to the immediate parent collection.
Supported roles and conditions
This API endpoint supports the following Covata user roles (as described in the Covata Platform Administrator’s Guide) and conditions:- Originator - a Covata user with this role can call this endpoint on an item they own.
- Originator, Collaborator and Ad hoc - a Covata user with any of these roles can call this endpoint on an item they are a collaborator on.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6
Returns
A JSON-formatted response containing an array of elements, each of which contains the following members:- id - .
- name - .
- parentId - . Example (response from …):

